Bug 1557967 - OpenLDAP: Drop MozNSS Compatibility Layer
Summary: OpenLDAP: Drop MozNSS Compatibility Layer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matus Honek
QA Contact:
URL:
Whiteboard: ChangeAcceptedF29,SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-19 11:51 UTC by Jan Kurik
Modified: 2018-11-30 17:04 UTC (History)
1 user (show)

Fixed In Version: openldap-2.4.45-9.f29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:04:45 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2018-03-19 11:51:21 UTC
This is a tracking bug for Change: OpenLDAP: Drop MozNSS Compatibility Layer
For more details, see: https://fedoraproject.org/wiki/Changes/OpenLDAPdropMozNSSCompatibilityLayer

Since Fedora 28, OpenLDAP is compiled with OpenSSL instead of NSS and includes MozNSS Compatiblity Layer (i.e. TLSMC) to assure backwards compatiblity. After this change the TLSMC will be removed.

Comment 1 Matus Honek 2018-03-19 15:18:06 UTC
The change was applied by this commit:
https://src.fedoraproject.org/rpms/openldap/c/60f1a0883e5a9be55d4dedd12fd7c19442259186?branch=master

A rather cosmetic change was applied later:
https://src.fedoraproject.org/rpms/openldap/c/44d9f0fe1bc4ae39587cfc80805562fba75b151a?branch=master

The change is therefore in now. I'm setting the status to MODIFIED. Also, I plan to do some related clean up shortly before the Change Completion Checkpoint which will not change the behavior.

Comment 3 Jan Kurik 2018-08-14 11:23:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Ben Cotton 2018-11-30 17:04:45 UTC
This Change appears to have been implemented for Fedora 29. If it is not closed, please let me know so I can re-open it against Rawhide.


Note You need to log in before you can comment on or make changes to this bug.